## Apache Zeta Components Manual :: Docs For Class ezcDocumentEzXmlLinkConverter

### Document::ezcDocumentEzXmlLinkConverter

### Class ezcDocumentEzXmlLinkConverter

Class for conversions of links, given as natural URLs into the eZXml storage format, which may result in urlIds, nodeIds, or similar.

Source for this file: /Document/src/interfaces/ezxml_link_converter.php

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentEzXmlDummyLinkConverter | Class for conversions of links, given as natural URLs into the eZXml storage format, which may result in urlIds, nodeIds, or similar.

### Method Summary

public abstract array | `getUrlProperties( $url )` Get URL properties

### Methods

#### getUrlProperties

array getUrlProperties( string $url )

Get URL properties

Return an array of the attributes, which should be set for the link.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$url` | string |

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcDocumentEzXmlDummyLinkConverter::getUrlProperties()` | Get URL properties

Documentation generated by phpDocumentor 1.4.3